##
##  pstoedit.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pstoedit
Summary:      Postscript to Vector Graphic Format Conversion
URL:          http://www.pstoedit.net/
Vendor:       Wolfgang Glunz
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Postscript
License:      GPL
Version:      4.02
Release:      20241206

#   list of sources
Source0:      http://download.sourceforge.net/pstoedit/pstoedit-%{version}.tar.gz
Patch0:       pstoedit.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, ghostscript, gcc, latex2man
PreReq:       OpenPKG, openpkg >= 20160101, ghostscript
BuildPreReq:  png, zlib, libemf, libming, plotutils
PreReq:       png, zlib, libemf, libming, plotutils

%description
    pstoedit translates PostScript and PDF graphics into other vector
    formats.

%track
    prog pstoedit = {
        version   = %{version}
        url       = http://sourceforge.net/projects/pstoedit/files/
        regex     = pstoedit-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-swf \
        --with-emf \
        --with-libplot \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/*.la
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

